// network stuff for butt
//
// Copyright 2007 by Daniel Noethen.
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2, or (at your option)
// any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//

#ifndef NETWORK_H
#define NETWORK_H

#include <sys/types.h>
#include <sys/socket.h>
#include <unistd.h>              
#include <netinet/in.h>
#include <arpa/inet.h>
#include <netdb.h>
		
	

extern int network_s;	
extern unsigned int network_bytes_sent;
extern struct hostent *host_ptr;
extern struct sockaddr_in hostname;


int network_conn();
int network_send(char *buf, int buf_len);
		

inline int network_send(char *buf, int buf_len)
{
		
	return write(network_s, buf, buf_len);
	
}

#endif
