
// audio stuff for butt
//
// Copyright 2007 by Daniel Noethen.
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2, or (at your option)
// any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//

#ifndef ALSA_H
#define ALSA_H

#include <stdio.h>
#include <stdlib.h>

#include <alsa/asoundlib.h>


#define ALSA_PCM_NEW_HW_PARAMS_API

typedef struct 
{    
    char name[256];
    char dev[64];
    
}snd_dev_t;
	
extern char *snd_pcm_buf;
extern unsigned char *alsa_buf;
extern int snd_send_status, snd_bytes_read;
extern snd_pcm_t *pcm_h;
extern snd_pcm_uframes_t buffer_size;
extern snd_pcm_uframes_t snd_chunk_size;		
extern 	unsigned int chunk_bytes;


int snd_init();
int snd_capture(char* buf, int buf_len);
snd_dev_t **snd_get_devices(int *dev_num);
void snd_loop();
void snd_close();
		
	

#endif
