//encoding stuff for butt
//
// Copyright 2007 by Daniel Noethen.
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2, or (at your option)
// any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//

#include "butt.h"
#include "encode.h"
#include "alsa.h"
#include "flgui.h"

lame_global_flags *gfp_stream;
lame_global_flags *gfp_record;

int record = 0;
char* encode_buf;


int encode_init()
{
	int rc;						//return code	
	char info[100];
	
	gfp_stream = lame_init();
	gfp_record = lame_init();    
    		
   lame_set_num_channels(gfp_stream, cfg.audio.channel);
   lame_set_in_samplerate(gfp_stream, cfg.audio.samplerate);
   lame_set_out_samplerate(gfp_stream, cfg.audio.samplerate);
   lame_set_brate(gfp_stream, cfg.audio.bitrate);
   lame_set_mode(gfp_stream,(MPEG_mode)1);

   if((rc = lame_init_params(gfp_stream)) < 0)
   {	   				
		snprintf(info, sizeof(info), 
						"unable to init lame params %d",						
						rc);
			
		fl_g->print_info(info, 1);		
		
		return 1;	
   }
   
   
   
   lame_set_num_channels(gfp_record, cfg.rec.channel);
   lame_set_in_samplerate(gfp_record, cfg.audio.samplerate);
   lame_set_out_samplerate(gfp_record, cfg.audio.samplerate);
   lame_set_brate(gfp_record, cfg.rec.bitrate);
   lame_set_mode(gfp_record,(MPEG_mode)1);

   
   if((rc = lame_init_params(gfp_record)) < 0)
   {	   				
		snprintf(info, sizeof(info), 
						"unable to init lame params %d",						
						rc);
			
		fl_g->print_info(info, 1);		
		
		return 1;	
   }
   
 

   return 0;
}

/* //inline function - look at the header file

void encode_close()
{
	lame_close(gfp_stream);	
}
*/

/* //inline function - look at the header file 
 int encode_mp3(char *pcm_buf, int size)
{	


	return lame_encode_buffer_interleaved(gfp_stream, (short int*)pcm_buf, size, (unsigned char*)pcm_buf, size);	
	
	
}
*/
