// network stuff for butt
//
// Copyright 2007 by Daniel Noethen.
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2, or (at your option)
// any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//

#ifndef ENCODE_H
#define ENCODE_H

#include <stdlib.h>
#include <lame/lame.h>

//#include "flgui.h"
#include "alsa.h"


	
extern lame_global_flags *gfp_stream;
extern lame_global_flags *gfp_record;

extern int record;
extern char* encode_buf;

int encode_init();


inline int encode_mp3(char *pcm_buf, char *enc_buf, int size, lame_global_flags *gfp)
{	
	return lame_encode_buffer_interleaved(gfp, (short int*)pcm_buf, size, (unsigned char*)enc_buf, chunk_bytes);	
}




inline void encode_close()
{
	lame_close(gfp_stream);
    lame_close(gfp_record);		
}

	


#endif
