// vu meter for butt
//
// Copyright 2007 by Daniel Noethen.
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2, or (at your option)
// any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//


#include "butt.h"
#include "vu-meter.h"


 
void vu_meter(short left, short right)
{

	static int left_delay[9] = { DELAY };
	static int right_delay[9] = { DELAY };
	
	
	if(left < 0)
		left *=-1;
	if(right < 0)
		right *=-1;
	

		
	
	if(left > TRESHOLD_1)	
	{
		fl_g->left_1->value(1);
	}
	else 
	{
		if(!left_delay[0])
		{	
			fl_g->left_1->value(0);
			fl_g->left_2->value(0);
			fl_g->left_3->value(0);
			fl_g->left_4->value(0);
			fl_g->left_5->value(0);
			fl_g->left_6->value(0);
			fl_g->left_7->value(0);
			fl_g->left_8->value(0);
			fl_g->left_9->value(0);	
			
			for(int i = 0; i < 9; i++)
				left_delay[i] = DELAY;	
			
		}
		else
			left_delay[0]--;
	}	
			
	
	if(left > TRESHOLD_2)	
	{
		fl_g->left_1->value(1);
		fl_g->left_2->value(1);
		
	}		
	else
	{
		if(!left_delay[1])
		{	
			fl_g->left_2->value(0);
			fl_g->left_3->value(0);
			fl_g->left_4->value(0);
			fl_g->left_5->value(0);
			fl_g->left_6->value(0);
			fl_g->left_7->value(0);
			fl_g->left_8->value(0);
			fl_g->left_9->value(0);
			
			for(int i = 1; i < 9; i++)
				left_delay[i] = DELAY;
			
			
		}
		else
			left_delay[1]--;
	}
	
	if(left > TRESHOLD_3)	
	{
		fl_g->left_1->value(1);
		fl_g->left_2->value(1);
		fl_g->left_3->value(1);
		
	}
	else
	{	
		if(!left_delay[2])
		{	
			fl_g->left_3->value(0); 
			fl_g->left_4->value(0);
			fl_g->left_5->value(0);
			fl_g->left_6->value(0);
			fl_g->left_7->value(0);
			fl_g->left_8->value(0);
			fl_g->left_9->value(0);			
			
			for(int i = 2; i < 9; i++)
				left_delay[i] = DELAY;
			
			
		}			
		else
			left_delay[2]--;
	}
	
	if(left > TRESHOLD_4)	
	{		
		fl_g->left_1->value(1);
		fl_g->left_2->value(1);
		fl_g->left_3->value(1);		
		fl_g->left_4->value(1);
		
	}
	else
	{	
		if(!left_delay[3])
		{			
			fl_g->left_4->value(0);
			fl_g->left_5->value(0);
			fl_g->left_6->value(0);
			fl_g->left_7->value(0);
			fl_g->left_8->value(0);
			fl_g->left_9->value(0);
			
			for(int i = 3; i < 9; i++)
				left_delay[i] = DELAY;
			
			
		}
		else
			left_delay[3]--;
	}
	
	if(left > TRESHOLD_5)	
	{
		fl_g->left_1->value(1);
		fl_g->left_2->value(1);
		fl_g->left_3->value(1);		
		fl_g->left_4->value(1);
		fl_g->left_5->value(1);
		
	}
	else
	{
		if(!left_delay[4])
		{	
			fl_g->left_5->value(0);
			fl_g->left_6->value(0);
			fl_g->left_7->value(0);
			fl_g->left_8->value(0);
			fl_g->left_9->value(0);
			
			for(int i = 4; i < 9; i++)
				left_delay[i] = DELAY;
			
			
		}
		else
			left_delay[4]--;
	}
	
	if(left > TRESHOLD_6)	
	{
		fl_g->left_1->value(1);
		fl_g->left_2->value(1);
		fl_g->left_3->value(1);		
		fl_g->left_4->value(1);
		fl_g->left_5->value(1);
		fl_g->left_6->value(1);
		
	}
	else
	{
		if(!left_delay[5])
		{	
			fl_g->left_6->value(0);
			fl_g->left_7->value(0);
			fl_g->left_8->value(0);
			fl_g->left_9->value(0);
			
			for(int i = 5; i < 9; i++)
				left_delay[i] = DELAY;
			
			
		}
		else
			left_delay[5]--;
	}
	
	if(left > TRESHOLD_7)	
	{
		fl_g->left_1->value(1);
		fl_g->left_2->value(1);
		fl_g->left_3->value(1);		
		fl_g->left_4->value(1);
		fl_g->left_5->value(1);
		fl_g->left_6->value(1);
		fl_g->left_7->value(1);
		
	}
	else
	{
		if(!left_delay[6])
		{	
			fl_g->left_7->value(0);
			fl_g->left_8->value(0);
			fl_g->left_9->value(0);
			for(int i = 6; i < 9; i++)
				left_delay[i] = DELAY;
			
			
		}
		else
			left_delay[6]--;
	}
	if(left > TRESHOLD_8)	
	{
		fl_g->left_1->value(1);
		fl_g->left_2->value(1);
		fl_g->left_3->value(1);		
		fl_g->left_4->value(1);
		fl_g->left_5->value(1);
		fl_g->left_6->value(1);
		fl_g->left_7->value(1);
		fl_g->left_8->value(1);
		
	}
	else
	{
		if(!left_delay[7])
		{	
			fl_g->left_8->value(0);
			fl_g->left_9->value(0);
			
			 for(int i = 7; i < 9; i++)
				left_delay[i] = DELAY;
			
			
		}
		else
			left_delay[7]--;
	}
	
	if(left > TRESHOLD_9)	
	{
		fl_g->left_1->value(1);
		fl_g->left_2->value(1);
		fl_g->left_3->value(1);		
		fl_g->left_4->value(1);
		fl_g->left_5->value(1);
		fl_g->left_6->value(1);
		fl_g->left_7->value(1);
		fl_g->left_8->value(1);	
		fl_g->left_9->value(1);		
	}
	else
	{
		if(!left_delay[8])
		{	
			fl_g->left_9->value(0); 
			left_delay[8] = DELAY; 
		}
		else
			left_delay[8]--;	
	}
	
	
	
	
	
	if(right > TRESHOLD_1)	
	{
		fl_g->right_1->value(1);
	}
	else 
	{
		if(!right_delay[0])
		{	
			fl_g->right_1->value(0);
			fl_g->right_2->value(0);
			fl_g->right_3->value(0);
			fl_g->right_4->value(0);
			fl_g->right_5->value(0);
			fl_g->right_6->value(0);
			fl_g->right_7->value(0);
			fl_g->right_8->value(0);
			fl_g->right_9->value(0);	
			
			for(int i = 0; i < 9; i++)
				right_delay[i] = DELAY;	
			
		}
		else
			right_delay[0]--;
	}	
			
	
	if(right > TRESHOLD_2)	
	{
		fl_g->right_1->value(1);
		fl_g->right_2->value(1);
		
	}		
	else
	{
		if(!right_delay[1])
		{	
			fl_g->right_2->value(0);
			fl_g->right_3->value(0);
			fl_g->right_4->value(0);
			fl_g->right_5->value(0);
			fl_g->right_6->value(0);
			fl_g->right_7->value(0);
			fl_g->right_8->value(0);
			fl_g->right_9->value(0);
			
			for(int i = 1; i < 9; i++)
				right_delay[i] = DELAY;
			
			
		}
		else
			right_delay[1]--;
	}
	
	if(right > TRESHOLD_3)	
	{
		fl_g->right_1->value(1);
		fl_g->right_2->value(1);
		fl_g->right_3->value(1);
		
	}
	else
	{	
		if(!right_delay[2])
		{	
			fl_g->right_3->value(0); 
			fl_g->right_4->value(0);
			fl_g->right_5->value(0);
			fl_g->right_6->value(0);
			fl_g->right_7->value(0);
			fl_g->right_8->value(0);
			fl_g->right_9->value(0);			
			
			for(int i = 2; i < 9; i++)
				right_delay[i] = DELAY;
			
			
		}			
		else
			right_delay[2]--;
	}
	
	if(right > TRESHOLD_4)	
	{		
		fl_g->right_1->value(1);
		fl_g->right_2->value(1);
		fl_g->right_3->value(1);		
		fl_g->right_4->value(1);
		
	}
	else
	{	
		if(!right_delay[3])
		{			
			fl_g->right_4->value(0);
			fl_g->right_5->value(0);
			fl_g->right_6->value(0);
			fl_g->right_7->value(0);
			fl_g->right_8->value(0);
			fl_g->right_9->value(0);
			
			for(int i = 3; i < 9; i++)
				right_delay[i] = DELAY;
			
			
		}
		else
			right_delay[3]--;
	}
	
	if(right > TRESHOLD_5)	
	{
		fl_g->right_1->value(1);
		fl_g->right_2->value(1);
		fl_g->right_3->value(1);		
		fl_g->right_4->value(1);
		fl_g->right_5->value(1);
		
	}
	else
	{
		if(!right_delay[4])
		{	
			fl_g->right_5->value(0);
			fl_g->right_6->value(0);
			fl_g->right_7->value(0);
			fl_g->right_8->value(0);
			fl_g->right_9->value(0);
			
			for(int i = 4; i < 9; i++)
				right_delay[i] = DELAY;
			
			
		}
		else
			right_delay[4]--;
	}
	
	if(right > TRESHOLD_6)	
	{
		fl_g->right_1->value(1);
		fl_g->right_2->value(1);
		fl_g->right_3->value(1);		
		fl_g->right_4->value(1);
		fl_g->right_5->value(1);
		fl_g->right_6->value(1);
		
	}
	else
	{
		if(!right_delay[5])
		{	
			fl_g->right_6->value(0);
			fl_g->right_7->value(0);
			fl_g->right_8->value(0);
			fl_g->right_9->value(0);
			
			for(int i = 5; i < 9; i++)
				right_delay[i] = DELAY;
			
			
		}
		else
			right_delay[5]--;
	}
	
	if(right > TRESHOLD_7)	
	{
		fl_g->right_1->value(1);
		fl_g->right_2->value(1);
		fl_g->right_3->value(1);		
		fl_g->right_4->value(1);
		fl_g->right_5->value(1);
		fl_g->right_6->value(1);
		fl_g->right_7->value(1);
		
	}
	else
	{
		if(!right_delay[6])
		{	
			fl_g->right_7->value(0);
			fl_g->right_8->value(0);
			fl_g->right_9->value(0);
			for(int i = 6; i < 9; i++)
				right_delay[i] = DELAY;
			
			
		}
		else
			right_delay[6]--;
	}
	if(right > TRESHOLD_8)	
	{
		fl_g->right_1->value(1);
		fl_g->right_2->value(1);
		fl_g->right_3->value(1);		
		fl_g->right_4->value(1);
		fl_g->right_5->value(1);
		fl_g->right_6->value(1);
		fl_g->right_7->value(1);
		fl_g->right_8->value(1);
		
	}
	else
	{
		if(!right_delay[7])
		{	
			fl_g->right_8->value(0);
			fl_g->right_9->value(0);
			
			 for(int i = 7; i < 9; i++)
				right_delay[i] = DELAY;
			
			
		}
		else
			right_delay[7]--;
	}
	
	if(right > TRESHOLD_9)	
	{
		fl_g->right_1->value(1);
		fl_g->right_2->value(1);
		fl_g->right_3->value(1);		
		fl_g->right_4->value(1);
		fl_g->right_5->value(1);
		fl_g->right_6->value(1);
		fl_g->right_7->value(1);
		fl_g->right_8->value(1);	
		fl_g->right_9->value(1);		
	}
	else
	{
		if(!right_delay[8])
		{	
			fl_g->right_9->value(0); 
			right_delay[8] = DELAY; 
		}
		else
			right_delay[8]--;	
	}
	

}
	
	
	
